Works

Count Works

Get count of work matching given filter.

GET
/works.count

Get count of work matching given filter.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

applies_to_part?array<string>

Filters for work belonging to any of the provided parts.

created_by?array<string>

Filters for work created by any of these users.

custom_fields?object

Filters for custom fields.

external_ref?array<string>

Filters for work with any of the provided external references.

issue.accounts?array<string>

Filters for issues with any of the provided accounts.

issue.group?array<string>

Filters for issues belonging to specific groups.

issue.priority?array<issue-priority>

Filters for issues with any of the provided priorities.

issue.priority_v2?array<integer>

Filters for issues with any of the provided priority enum ids.

issue.rev_orgs?array<string>

Filters for issues with any of the provided Rev organizations.

issue.sla_summary.stage?array<sla-summary-stage>

Filters for records with any of the provided SLA stages.

issue.space.ids?array<string>

Filters for the provided space IDs.

issue.space.include_children?boolean

Whether to include child spaces.

issue.space.include_global?boolean

Whether to include objects not associated with any space.

issue.space.include_parents?boolean

Whether to include parent spaces.

issue.space.op?string

The filter operator to be applied on space.

Value in"any" | "not_any" | "not_null" | "null"
issue.sprint?array<string>

Filters for issues with any of the sprint.

issue.sprint_state?array<works-filter-issue-sprint-state-value>

Filters for issues with any of the provided sprint states.

issue.subtype?array<string>

Filters for issues with any of the provided subtypes.

modified_by?array<string>

Filters for work modified by any of these users.

opportunity.account?array<string>

Filters for opportunities belonging to any of the provided accounts.

opportunity.contacts?array<string>

Filters for opportunities with any of the provided contacts.

opportunity.forecast_category_v2?array<integer>

Filters for opportunities with any of the provided forecast category enum IDs.

opportunity.subtype?array<string>

Filters for opportunity with any of the provided subtypes.

owned_by?array<string>

Filters for work owned by any of these users.

reported_by?array<string>

Filters for work reported by any of these users.

stage.name?array<string>

Filters for records in the provided stage(s) by name.

stage.stages?array<string>

List of IDs of the custom stages which will be used for filtering.

staged_info.is_staged?boolean

Filters for issues that are staged.

state?array<string>

Filters for work with any of the provided states.

sync_metadata.external_reference?array<string>

Filters for issues with this specific external reference.

sync_metadata.last_sync_in.status?array<sync-metadata-filter-sync-in-filter-status>

Filters for works with selected sync statuses.

sync_metadata.last_sync_in.sync_history?array<string>

Filters for works modified with selected sync history.

sync_metadata.last_sync_in.sync_unit?array<string>

Filters for works modified with selected sync units.

sync_metadata.last_sync_out.status?array<sync-metadata-filter-sync-out-filter-status>

Filters for works with selected sync statuses.

sync_metadata.last_sync_out.sync_history?array<string>

Filters for works modified with selected sync history.

sync_metadata.last_sync_out.sync_unit?array<string>

Filters for works modified with selected sync units.

sync_metadata.origin_system?array<string>

Filters for issues synced from this specific origin system.

tags?array<string>

Filters for work with any of the provided tags.

ticket.account?array<string>

Filters for tickets with any of the provided accounts.

ticket.brand?array<string>

Filters for tickets that are associated with any of the brands.

ticket.channels?array<ticket-channels>

Filters for tickets with any of the provided channels.

ticket.channels_v2?array<string>

Filters for tickets that are associated with any of the channels.

ticket.group?array<string>

Filters for tickets belonging to specific groups.

ticket.group_op?string

The filter operator to be applied on group filter for tickets.

Value in"all" | "any" | "empty" | "not_any" | "not_empty"
ticket.is_frozen?boolean

Filters for frozen tickets.

ticket.is_spam?boolean

Filters for tickets that are spam.

ticket.needs_response?boolean

Filters for tickets that need response.

ticket.rev_org?array<string>

Filters for tickets that are associated with any of the provided Rev organizations.

ticket.severity?array<ticket-severity>

Filters for tickets with any of the provided severities.

ticket.sla_summary.stage?array<sla-summary-stage>

Filters for records with any of the provided SLA stages.

ticket.source_channel?array<string>

Filters for tickets with any of the provided source channels.

ticket.source_channel_v2?array<string>

Filters for tickets that are associated with any of the source channels.

ticket.subtype?array<string>

Filters for tickets with any of the provided subtypes.

ticket.visibility?array<integer>

Visibility enum ID of the ticket.

type?array<work-type>

Filters for work of the provided types.

vista?string

Filters for work belonging to the given vista.

Formatid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/works.count"
{
  "count": 0,
  "has_more": true
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden"
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}